## tools-reader-clojure 1.0.0

=== debian/changelog ===
tools-reader-clojure (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0.
  * d/rules: use version macros from dpkg.
  * Bump Standards to 4.0.0; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 29 Jun 2017 22:26:17 +0300

tools-reader-clojure (1.0.0~beta2-1) unstable; urgency=medium

  * Initial release (Closes: #855754).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 20 Mar 2017 14:28:29 +0200
