=== debian/control ===
Source: tools-reader-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: clojure (>= 1.8),
               debhelper (>= 10),
               default-jdk,
               javahelper (>= 0.32),
               markdown,
               maven-repo-helper (>= 1.5~)
Standards-Version: 4.0.0
Homepage: https://github.com/clojure/tools.reader
Vcs-Git: https://anonscm.debian.org/git/pkg-java/tools-reader-clojure.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-java/tools-reader-clojure.git

Package: libtools-reader-clojure
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: complete Clojure and EDN-only reader
 clojure.tools.reader offers all functionality of the reader from
 clojure-1.7.0, and more. Using reader types provided by this library, column
 info is available and both line and column metadata is attached to multiple
 datatypes.
