=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta)/~$1/" \
 https://github.com/clojure/tools.reader/tags .*\-([\d\.]+(?:-(?:alpha|beta)[0-9]+)?)\.tar\.gz
