## tools-reader-clojure 1.2.1

=== debian/changelog ===
tools-reader-clojure (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: added code to manage upstream tags.
  * New upstream release.
  * Move the package to the Clojure team:
    - Update VCS URLs.
    - Update Maintainer field.
    - Rework git repo using upstream repo as base.
    - Switch to git tag workflow.
  * Ran wrap-and-sort -bastk.
  * Switch to debhelper-compat.
  * Standards-Version: 4.5.0.
  * Removed versions in build-depends as already satisfied in Stable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Nov 2020 22:26:22 +0100
