=== debian/control ===
Source: tools-reader-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
Build-Depends:
 clojure,
 debhelper-compat (= 10),
 default-jdk,
 javahelper,
 markdown,
 maven-repo-helper,
Standards-Version: 4.5.0
Homepage: https://github.com/clojure/tools.reader
Vcs-Git: https://salsa.debian.org/clojure-team/tools-reader-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/tools-reader-clojure

Package: libtools-reader-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Description: complete Clojure and EDN-only reader
 clojure.tools.reader offers all functionality of the reader from
 clojure-1.7.0, and more. Using reader types provided by this library, column
 info is available and both line and column metadata is attached to multiple
 datatypes.
