## tools-reader-clojure 1.3.4

=== debian/changelog ===
tools-reader-clojure (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build using leiningen.
  * d/watch: port to v4 and use git mode.
  * d/control: Update to Standards Version 4.5.1. Add Rules-Requires-Root.
  * d/control: upgrade to debhelper 13.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 07 Dec 2020 17:54:28 -0500
