=== debian/control ===
--- 
+++ 
@@ -5,22 +5,26 @@
 Uploaders:
  Apollon Oikonomopoulos <apoikos@debian.org>,
 Build-Depends:
- clojure,
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
- markdown,
  maven-repo-helper,
-Standards-Version: 4.5.0
+ libclojure-java,
+ libnrepl-clojure <!nocheck>,
+ libcomplete-clojure <!nocheck>,
+ leiningen,
+Standards-Version: 4.5.1
 Homepage: https://github.com/clojure/tools.reader
 Vcs-Git: https://salsa.debian.org/clojure-team/tools-reader-clojure.git
 Vcs-Browser: https://salsa.debian.org/clojure-team/tools-reader-clojure
+Rules-Requires-Root: no
 
 Package: libtools-reader-clojure
 Architecture: all
 Depends:
  ${java:Depends},
  ${misc:Depends},
+ libclojure-java,
 Recommends:
  ${java:Recommends},
 Description: complete Clojure and EDN-only reader
