## tools-reader-clojure 1.3.6

=== debian/changelog ===
tools-reader-clojure (1.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Jérôme Charaoui ]
  * New upstream version 1.3.6
  * d/patches: rebase on top of new upstream version
  * d/gbp.conf: add config with team defaults
  * d/rules:
    + skip tests when build options contain nocheck
    + generate debian/pom.xml using lein
    + bump Standards-Version, no changes needed
  * d/tests: run upstream unittests in autopkgtest
  * d/upstream: add project metadata
  * d/watch: upstream changed tag format

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 24 Oct 2022 20:51:23 -0400
