=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tools-reader-clojure
 Section: java
 Priority: optional
-Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
 Uploaders:
  Apollon Oikonomopoulos <apoikos@debian.org>,
 Build-Depends:
@@ -13,7 +13,7 @@
  libnrepl-clojure <!nocheck>,
  libcomplete-clojure <!nocheck>,
  leiningen,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/clojure/tools.reader
 Vcs-Git: https://salsa.debian.org/clojure-team/tools-reader-clojure.git
 Vcs-Browser: https://salsa.debian.org/clojure-team/tools-reader-clojure
