=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,15 @@
 	cd debian && ln -sf /usr/share/maven-repo .
 
 override_dh_auto_build:
+	lein pom debian/pom.xml
 	lein jar
 	# symlink so we don't need a version in debian/*.poms
 	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	lein test
+endif
 
 override_jh_installlibs:
 	jh_installlibs target/$(NAME).jar
