=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
https://github.com/clojure/tools.reader.git \
refs/tags/v@ANY_VERSION@
